GuiCommand: Name: TechDraw ComplexSection MenuLocation: TechDraw , TechDraw Views , Insert Complex Section Workbenches: TechDraw_Workbench Version: 0.21 SeeAlso: TechDraw_SectionView, TechDraw_View
TechDraw ComplexSection
Description
The TechDraw ComplexSection tool inserts a cross-section view based on an existing part view and a profile.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_QuarterSection_example.png)
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_AlignedSection_example.png)
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_OffsetSection_example.png)
Usage
- Select a part view and a profile object in the 3D view or Tree view. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
- There are several ways to invoke the tool:
- Press the
Insert Complex Section button.
- Select the TechDraw → TechDraw Views →
Insert Complex Section option from the menu.
- Press the
- A task panel opens which will help calculate the various properties. Reasonable values for the view Direction are calculated, but these can be changed.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_ComplexSection_Taskview1.png)
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_ComplexSection_Taskview2.png)
Properties
A Complex Section, formally a {{Incode|TechDraw::DrawComplexSection}} object, is derived from a Section View, formally a {{Incode|TechDraw::DrawViewSection}} object, and inherits all its properties. It also has the following additional properties:
Data
{{TitleProperty|Cutting Tool}}
-
Cutting Tool Wire Object: The document object whose shape will be used to generate the cutting profile.
-
Projection Strategy: Controls how the cut is performed and how the result is projected on the page:
-
{{Value|Offset}}
: Performs a simple cut of the Source shape and projects the result.
-
{{Value|Aligned}}
: Cuts the Source shape using a tool created from each segment (edge) of the cutting profile. The results of each cut are projected in a vertical or horizontal array, depending on the orientation of the cutting profile.
-
{{Value|NoParallel}}
: As Aligned, but profile segments which are parallel to the view direction are skipped.
Notes
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
A Complex Section can be created with macros and from the Python console by using the following functions:
doc = FreeCAD.ActiveDocument
box = doc.Box
profile = doc.Sketch
page = doc.Page
view = doc.addObject("TechDraw::DrawViewPart", "View")
page.addView(view)
view.Source = box
view.Direction = (0, 0, 1)
section = doc.addObject("TechDraw::DrawComplexSection", "ComplexSection")
page.addView(section)
section.BaseView = view
section.CuttingToolWireObject = profile
section.Direction = (0, 1, 0)
section.SectionNormal = (-1, 0, 0)
Examples
For some more information about section views and some use cases, have a look at: TechDraw section examples.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_ExampleSection-10.png)
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_ExampleSection-13.png)
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_ExampleSection-15.png)
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_ExampleSection-17.png)
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_ExampleSection-34.png)
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_ExampleSection-35.png)
{{TechDraw Tools navi}}
⏵ documentation index > TechDraw > TechDraw ComplexSection
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/TechDraw_ComplexSection.md